<?php
/*
 *
 * Set the text domain for the theme or plugin.
 *
 */
define('Redux_TEXT_DOMAIN', 'redux-opts');

/*
 *
 * Require the framework class before doing anything else, so we can use the defined URLs and directories.
 * If you are running on Windows you may have URL problems which can be fixed by defining the framework url first.
 *
 */
//define('Redux_OPTIONS_URL', site_url('path the options folder'));
if(!class_exists('Redux_Options')){
    require_once(dirname(__FILE__) . '/options/options.php');
}

/*
 *
 * Most of your editing will be done in this section.
 *
 * Here you can override default values, uncomment args and change their values.
 * No $args are required, but they can be over ridden if needed.
 *
 */
function setup_domains_checker_wpress_options(){
    $args = array();

    // Setting dev mode to true allows you to view the class settings/info in the panel.
    // Default: false
    $args['dev_mode'] = false;

    // If you want to use Google Webfonts, you MUST define the api key.
    //$args['google_api_key'] = 'xxxx';

    // Define the starting tab for the option panel.
    // Default: '0';
    //$args['last_tab'] = '0';

    // Define the option panel stylesheet. Options are 'standard', 'custom', and 'none'
    // If only minor tweaks are needed, set to 'custom' and override the necessary styles through the included custom.css stylesheet.
    // If replacing the stylesheet, set to 'none' and don't forget to enqueue another stylesheet!
    // Default: 'standard'
    //$args['admin_stylesheet'] = 'standard';

    // Add HTML before the form.
    //$args['intro_text'] = __('<p>This text is displayed above the options panel. It isn\'t required, but more info is always better! The intro_text field accepts all HTML.</p>', Redux_TEXT_DOMAIN);

  
    
    // Set footer/credit line.
    $args['footer_credit'] = __('<p>ترجمه و فعال سازی شده توسط<a href="http://www.20script.ir" target="_blank">بیست اسکریپت</a> </p>', Redux_TEXT_DOMAIN);
    
    // Setup custom links in the footer for share icons
    $args['share_icons']['twitter'] = array(
        'link' => 'http://twitter.com/jiringweb',
        'title' => 'ما را در توئیتر دنبال کنید', 
        'img' => Redux_OPTIONS_URL . 'img/icons/glyphicons_322_twitter.png'
    );
    $args['share_icons']['facebook'] = array(
        'link' => 'http://www.facebook.com/jiringweb',
        'title' => 'ما را در فیس بوک پیدا کنید', 
        'img' => Redux_OPTIONS_URL . 'img/icons/glyphicons_320_facebook.png'
    );

    // Enable the import/export feature.
    // Default: true
    $args['show_import_export'] = false;

    // Set a custom option name. Don't forget to replace spaces with underscores!
    $args['opt_name'] = 'ygp_domains_checker_wpress';

    // Set a custom menu icon.
    //$args['menu_icon'] = '';

    // Set a custom title for the options page.
    // Default: Options
    $args['menu_title'] = __('بررسی کننده دامنه', Redux_TEXT_DOMAIN);
    
    // Set a custom page title for the options page.
    // Default: Options
    $args['page_title'] = __('بررسی کننده نام دامنه ها (نسخه 1.3)', Redux_TEXT_DOMAIN);

    // Set a custom page slug for options page (wp-admin/themes.php?page=***).
    // Default: redux_options
    $args['page_slug'] = 'domains_checker_wpress';

    // Set a custom page capability.
    // Default: manage_options
    //$args['page_cap'] = 'manage_options';

    // Set the menu type. Set to "menu" for a top level menu, or "submenu" to add below an existing item.
    // Default: menu
    $args['page_type'] = 'submenu';

    // Set the parent menu.
    // Default: themes.php
    // A list of available parent menus is available at http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
    $args['page_parent'] = 'plugins.php';

    // Set a custom page location. This allows you to place your menu where you want in the menu order.
    // Must be unique or it will override other items!
    // Default: null
    //$args['page_position'] = null;

    // Set a custom page icon class (used to override the page icon next to heading)
    //$args['page_icon'] = 'icon-themes';

    // Disable the panel sections showing as submenu items.
    // Default: true
    //$args['allow_sub_menu'] = false;
    
    $sections = array();
    
    $defaultRegistars = '
     ثبت دامنه مورد نظر با <a href="http://my.abtinweb.com/aff.php?aff=1773" target="_blank">آبتین وب</a><br>
    ';
    
    $sections[] = array(
        //'icon' => Redux_OPTIONS_URL . 'img/icons/glyphicons_107_text_resize.png',
        'title' => __('تنظیمات', Redux_TEXT_DOMAIN),
        'id' => 'domains_section',
        'class' => 'domains_section',
        'desc' => __('<p class="description">در این بخش شما می توانید تمامی تنظیمات افزونه را انجام دهید.</p>', Redux_TEXT_DOMAIN),
        'fields' => array(
            array(
                'id' => 'api_service',
                'type' => 'select',
                'title' => __('API service', Redux_TEXT_DOMAIN), 
                'sub_desc' => __('API service برای بررسی در دسترس بودن دامنه ها', Redux_TEXT_DOMAIN),
                //'enom'=>'Enom', 'namecheap'=>'Namecheap'
                'options' => array('domainr'=>'Domainr', 'dreamhost'=>'Dreamhost'),
                'std' => 'domainr'
            ),
            array(
                'id' => 'dreamhost_key',
                'type' => 'text',
                'title' => __('کلید Dreamhost', Redux_TEXT_DOMAIN),
                'sub_desc' => __('کلید Dreamhost شما - اطمینان حاصل کنید که گزینه پذیرفتن  "domain-registration_available" را انتخاب کرده اید', Redux_TEXT_DOMAIN),
            ),
            array(
                'id' => 'search_type',
                'type' => 'select',
                'title' => __('نوع جستجو کننده', Redux_TEXT_DOMAIN), 
                'sub_desc' => __(' انتخاب گزینه جستجوی عادی(در این حالت کاربر پس از وارد کردن نام دامنه مورد  نظر باید روی دکمه جستجو کلیک نماید) یا جستجوی اتوماتیک (جستجوی زنده و فوری بدون کلیک کردن روی دکمه جستجو و نمایش نتایج بلافاصله بعد از تایپ دامنه مورد نظر از سوی کاربر)', Redux_TEXT_DOMAIN),
                'options' => array('1'=>'جستجوی عادی', '2'=>'جستجوی زنده'),
                'std' => '1'
            ),
            array(
                'id' => 'registars',
                'type' => 'textarea',
                'title' => __('لیست ثبت نام ها به صورت  کدهای (HTML) ', Redux_TEXT_DOMAIN),
                'sub_desc' => __('لیست ثبت نامی خود را وارد کنید، این لینک ها همان لینک بازاریابی شما از سایت مورد نظر می باشد.', Redux_TEXT_DOMAIN),
                'std' => $defaultRegistars
            ),
            array(
                'id' => 'suggested_domains',
                'type' => 'select',
                'title' => __('دامنه های پیشنهادی', Redux_TEXT_DOMAIN), 
                'sub_desc' => __('جهت نمایش دامنه های پیشنهادی یا عدم نمایش آنها زمانی که دامنه مورد نظر کاربر قبلا ثبت شده باشد.)', Redux_TEXT_DOMAIN),
                'options' => array('1'=>'فعال', '2'=>'غیرفعال'),
                'std' => '1'
            ),
            array(
            	'type' => 'info',
                'desc' => __('<b>کش کردن</b><br>با فعال کردن این گزینه درخواست های api را می توانید کش کنید و سرعت اجرا را برای عملیات بعدی افزایش دهید', Redux_TEXT_DOMAIN),
            ),
            array(
                'id' => 'caching',
                'type' => 'select',
                'title' => __('کش کردن نتایج', Redux_TEXT_DOMAIN), 
                'sub_desc' => __('جهت فعال سازی یا غیر فعال سازی کش نتایج - فراموش نکنید که با فعال سازی این گزینه تعداد ثانیه های کش ( تاریخ انقضا که به عدد وارد میشود) را نیز وارد کرده باشید.)', Redux_TEXT_DOMAIN),
                'options' => array(''=>'غیر فعال', '1'=>'فعال'),
            ),
            array(
                'id' => 'caching_expiration',
                'type' => 'text',
                'title' => __('انقضای کش کردن(تعداد ثانیه هایی که می خواهید کش شود را به عدد وارد کنید)', Redux_TEXT_DOMAIN),
                'sub_desc' => __('تعداد ثانیه ها جهت نگهداری داده ها قبل از رفرش کردن صفحه', Redux_TEXT_DOMAIN),
                'std' => '120'
            ),
            array(
            	'type' => 'info',
                'desc' => __('<b>برچسب ها و ترجمه ها</b><br>در زیر شما می توانید برخی از برچسب ها را تعریف کنید یا ترجمه ها را به دلخواه تغییر دهید.', Redux_TEXT_DOMAIN),
            ),
            array(
                'id' => 'button_label',
                'type' => 'text',
                'title' => __('برچسب دکمه', Redux_TEXT_DOMAIN),
                'sub_desc' => __('برچسب دکمه جستجوکننده در دسترس بودن دامنه ها', Redux_TEXT_DOMAIN),
                'std' => 'بررسی آزاد بودن دامنه'
            ),
            array(
                'id' => 'placeholder_text',
                'type' => 'text',
                'title' => __('متن نگهدارنده', Redux_TEXT_DOMAIN),
                'sub_desc' => __('نگهدارنده متن درون فیلد ورودی که دامنه مورد نظر آنجا باید وارد شود نمایش داده خواهد شد.', Redux_TEXT_DOMAIN),
                'std' => 'بصورت www.20script.ir وارد کنید...'
            ),
            array(
                'id' => 'search_width',
                'type' => 'text',
                'title' => __('عرض جستجو', Redux_TEXT_DOMAIN),
                'sub_desc' => __('عرض فیلد جستجو. می تواند بصورت پیکس باشد مانند (مثال: 300px)  یا بصورت درصد (مثال: 100%)', Redux_TEXT_DOMAIN),
                'std' => '400px'
            ),
        )
    );
    
 
    

    
    global $Redux_Options;
    $Redux_Options = new Redux_Options($sections, $args);

}

add_action('init', 'setup_domains_checker_wpress_options', 0);