<?php
/*
Plugin Name: Domains Checker WPress
Plugin URI: http://yougapi.com/products/wp/domains-checker/
Description: Domains Name Checker for WordPress
Version: 1.3
Author: 20script.ir
Author URI: http://www.20script.ir
*/

$GLOBALS['ygp_domains_checker_wpress'] = get_option('ygp_domains_checker_wpress');
$GLOBALS['ygp_domains_checker_wpress']['plugin_code'] = 'domains_checker_wpress';
$GLOBALS['ygp_domains_checker_wpress']['whois_url'] ='http://who.is/whois/'; ////http://www.whois.net/whois/
$GLOBALS['ygp_domains_checker_wpress']['item_name'] = 'domains_checker_wpress';


require_once dirname( __FILE__ ).'/include/webzone.php';
require_once dirname( __FILE__ ).'/display.php';
if(is_admin()) {
	require_once dirname( __FILE__ ).'/admin/options.php';
}

class Domains_checker_wpress {
	
	function Domains_checker_wpress() {
		//Shortcode
		add_shortcode( 'domains_wpress', array(__CLASS__, 'display_domains_checker') );
		
		//AJAX
		add_action( 'wp_ajax_nopriv_'.'domains_checker_wpress_listener', array(__CLASS__, 'ajax_listeners') );
		add_action( 'wp_ajax_'.'domains_checker_wpress_listener', array(__CLASS__, 'ajax_listeners') );
		
		//add_filter('the_posts', array(__CLASS__, 'conditionally_add_css'));
		
		if(is_admin()) {
			register_activation_hook(__FILE__, array(__CLASS__, 'on_plugin_activation'));
			//Settings link
			add_filter( 'plugin_action_links', array(__CLASS__, 'plugin_action_links'), 10, 2);
			if($_GET['page']=='domains_checker_wpress') self::enqueue_admin_js();
		}
		
		/*
		$url = 'http://api.heartinternet.co.uk/cx/dac.cgi?access_token=539246f5%2B01e28500%3A5f9c0cceebb0cd61%3Affa1bc1e56854e05e04852f4466e0b6d14a2c1db';
		$d1 = new Domains_class_wpress();
		$data = array('name'=>'yougapi.com');
		$data = json_encode($data);
		$result = $d1->postDataToURL($url, $data);
		print_r($result);
		echo $url;
		*/
	}
	
	function enqueue_admin_js() {
		wp_enqueue_script('domains_checker_wpress_admin_js', plugin_dir_url( __FILE__ ).'include/js/script_admin.js', array('jquery'));
	}
	
	function display_domains_checker($atts, $content = null, $code) {
		extract(shortcode_atts(array(
		'api_service' => '',
		'dreamhost_key' => '',
		'search_type' => '',
		), $atts));
		
		//Display only on singular pages
		if(is_singular()) {
			$criteria['api_service'] = $api_service;
			$criteria['dreamhost_key'] = $dreamhost_key;
			$criteria['search_type'] = $search_type;
			$d1 = new Domains_checker_wpress_display();
			$display = $d1->get_domains_checker_display($criteria);
			
			$content = '<p>'.$display.'</p>';
			return $content;			
		}
	}
	
	/*
	function conditionally_add_css($posts){
		if (empty($posts)) return $posts;
		
		$shortcode_found = false; // use this flag to see if styles and scripts need to be enqueued
		foreach ($posts as $post) {
			if (stripos($post->post_content, '[domains_wpress]') !== false) {
				$shortcode_found = true; // bingo!
				break;
			}
		}
	 
		if ($shortcode_found) {
			wp_enqueue_style('domains-checker-css', plugin_dir_url( __FILE__ ).'include/css/style.css');
		}
	 
		return $posts;
	}
	*/
	
	function ajax_listeners() {
		$method = $_POST['method'];
		if(is_multisite()) {
			exit();
		}
		
		if($method=='check_availability') {
			$domain = $_POST['domain'];
			
			$pos = strpos($domain, '.');
			if($pos===false) $domain .= '.com';
			
			$l1 = new Domains_checker_wpress_display();
			$l1->displayDomainAvailaibility(array('domain'=>$domain));
		}
		
		exit;
	}
	
	//On plugin activation
	function on_plugin_activation() {
		if(self::notify_verification()) {
			//
		}
	}
	
	function notify_verification() {
		$url = 'http://yougapi.com/updates/?item='.$GLOBALS['ygp_domains_checker_wpress']['plugin_code'].'&s='.site_url();
		wp_remote_get($url);
		return 1;
	}
	
	function plugin_action_links($links, $file) {
		if ( $file == plugin_basename( dirname(__FILE__).'/domains_checker_wpress.php' ) ) {
			$links[] = '<a href="plugins.php?page=domains_checker_wpress">تنظیمات</a>';
		}
		return $links;
	}
}

new Domains_checker_wpress();

?>