<?php

class Domains_class_wpress
{
	
	function checkDomainAvailability($criteria=array()) {
		$domain = $criteria['domain'];
		$api_service = $criteria['api_service'];
		$key = $criteria['key'];
		
		if($api_service=='dreamhost') {
			$data = $this->checkDomainAvailibility_dreamhost(array('domain'=>$domain, 'key'=>$key));
		}
		else if($api_service=='domainr') {
			$data = $this->checkDomainAvailability_domainr(array('domain'=>$domain));
		}
				
		return $data;
	}
	
	/*
	Dreamhost
	*/
	function checkDomainAvailibility_dreamhost($criteria=array()) {
		$domain = $criteria['domain'];
		$key = $criteria['key'];
		
		$url = 'https://api.dreamhost.com/?cmd=domain-registration_available&key='.$key.'&format=json&domain='.$domain;
		
		$data = $this->getDataFromUrl($url);
		$data = json_decode($data, true);
		
		if($data['result']=='error') {
			echo 'Dreamhost error: '.$data['reason'].'<br>';
		}
		
		if($data['result']=='success') {
			if($data['data'][0]['available']=='no') $availability = 'taken';
			else if($data['data'][0]['available']=='yes') $availability = 'available';
		}
		
		$d2['api_data'] = $data;
		$d2['availability'] = $availability; //taken, available
		$d2['registrars'] = $GLOBALS['registrars']; //array with the registrars (registrar, name, register_url)
		
		return $d2;
	}
	
	/*
	Domainr
	*/
	function checkDomainAvailability_domainr($criteria=array()) {
		$domain = $criteria['domain'];
		
		$url = 'https://domainr.com/api/json/info?q='.$domain;
		$data = $this->getDataFromUrl($url);
		
		$data = json_decode($data, true);
		
		$d2['api_data'] = $data;
		$d2['availability'] = $data['availability']; //taken, available
		$d2['registrars'] = $data['registrars']; //array with the registrars (registrar, name, register_url)
		
		return $d2;
	}
	
	function getDomainsSuggestions_domainr($criteria=array()) {
		$search = $criteria['search'];
		
		$url = 'https://domainr.com/api/json/search?q='.$search;
		$data = $this->getDataFromUrl($url);
		$data = json_decode($data, true);
		
		return $data;
	}
	
	function getDataFromUrl($url) {
		$ch = curl_init();
		$timeout = 5;
		curl_setopt($ch,CURLOPT_URL,$url);
		curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);
		curl_setopt($ch,CURLOPT_CONNECTTIMEOUT,$timeout);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		$data = curl_exec($ch);
		curl_close($ch);
		return $data;
	}
	
	function postDataToURL($url, $postParms) {
		$ch = curl_init($url);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_HEADER, false);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $postParms);
		$results = curl_exec($ch);
		curl_close($ch);
		return $results;
	}
	
	function postJsonDataToURL($url, $data) {
		$ch = curl_init($url);                                                                      
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");                                                                     
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);                                                                  
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);  
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);                                                                    
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(                                                                          
		    'Content-Type: application/json',                                                                                
		    'Content-Length: ' . strlen($data))                                                                       
		);                                                                                                                   
		$result = curl_exec($ch);
		return $result;
	}
}

?>